# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()
"""

def install():
    # Déclaration des variables locales
    exe_file = 'pingplotter_install.exe'
    silent_flags = '/quiet'

    # Extraction de la version depuis l'exécutable
    version = get_file_properties(exe_file)['FileVersion']

    # Création de la clé dynamique
    software_key = f'PingPlotter {version[:1]} {version}'

    # Installation du logiciel
    print(f"Installation: {exe_file} version {version}")
    install_exe_if_needed(exe_file,
                          silentflags=silent_flags,
                          key=software_key,
                          min_version=control.get_software_version(),
    )